Name: gqmpeg
Version: 0.19.0
Release: alt1

Summary: Frontend to mpg123, ogg123 and XMP
Summary(ru-Ru.KOI8-R):    mpg123, ogg123  XMP
License: GPL
Group: Sound
Url: http://%name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

Requires: mpg123 >= 0.59q
#Requires: vorbis-tools xmp-console

# Automatically added by buildreq on Fri Sep 13 2002
BuildRequires: XFree86-devel XFree86-libs gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel libpng-devel zlib-devel

%description
GQmpeg is a frontend to mpg123. It includes extensive mpg123 option
support. It also support ogg123  (.OGG), xmp (.MOD, and most
derivatives), video4linux radio tuner(/dev/radio)
      Features:

    - Shuffle, repeat.
    - Shuffle and repeat preferences can be saved in each playlist.
    - Customizable skins, including winamp skin support.
    - A skin can contain an alternative face (shade mode for instance)
    - ID3 tag reading/writing support (v1)
    - Volume controls (can be connected to any available device)
    - Basic file management (move/copy/rename/delete)
    - Tab completion in most dialogs.
    - Presets for playlists.
    - Drag and drop support.
    - Shoutcast (http://server:port) support.

%description -l ru_RU.KOI8-R
GQmpeg      
 mpg123, ogg123  XMP    ,
    . 
 ID3v1 ,     , drag and
drop   "".

%prep
%setup

%build
%configure --enable-russian
%make_build

%install
%makeinstall "GNOME_DATADIR=%buildroot%_datadir"

# Creating menu
%__cat <<_MENU_ >%name.menu
?package(%name): needs="X11" section="Multimedia/%group" title="GQmpeg - MP3,OGG,MOD player" \
longtitle="MP3,OGG,MOD player for GNOME" command="%_bindir/%name" icon="%name.png"
_MENU_

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_bindir/%name-shoutcast-plugin.sh
%_datadir/%name
%_datadir/gnome/*/*/*
%_man1dir/*
%_datadir/pixmaps/*
%_menudir/*
%doc README FAQ TODO SKIN-SPECS SKIN-SPECS-V1 plugin/README.plugin

%changelog
* Fri Sep 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.19.0-alt1
- 0.19

* Mon May 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16.0-alt1
- 0.16.0

* Wed Feb 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.13.0-alt1
- 0.13.0

* Thu Jan 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- new version

* Wed Jan 6 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- First build for Sisyphus.
